package com.dbs.consentServer.mapper;

import java.util.HashMap;

import com.dbs.consentServer.DTO.saveFormDTO.SaveConsentFormDTO;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface SaveFormMapper {
  public int getSequence(HashMap<String, Object> params);
  public int setSequence(HashMap<String, Object> params);
  public int updateSequence(HashMap<String, Object> params);
  public int insertConsentMaster(SaveConsentFormDTO saveConsentFormDTO);
  public int insertConsentData(SaveConsentFormDTO saveConsentFormDTO);
}